package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PayType {
    /**
     * 微信
     */
    WXPAY(1, "微信支付"),


    /**
     * 支付宝
     */
    ALIPAY(2, "支付宝支付");

    /**
     * 类型
     */
    private final Integer code;
    private final String type;
}
