package com.fzm.common.mapper;

import com.fzm.common.entity.Notify;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wt
 * @date 2022/3/7
 */
@Mapper
public interface NotifyMapper {
    /**
     * 保存消息
     */
    void insert(Notify notify);

    /**
     * 更新消息
     */
    void update(Notify notify);

    /**
     * 通过id查询消息
     */
    Notify selectById(int id);

    /**
     * 根据类型查询消息/通知
     */
    List<Notify> select(@Param("uid") int uid, @Param("type") int type, @Param("state") int state);
}
