package com.fzm.admin.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wt
 * @date 2022/3/11
 */
@Data
public class AdminRoleParam {
    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("角色编号")
    private Integer roleId;

    @ApiModelProperty("是否已被冻结，0未冻结，1已冻结")
    private Integer freezeState;
}
