package com.fzm.common.entity;

import lombok.Data;

import java.util.Date;

/**
 * @author wt
 * @date 2022/3/7
 */
@Data
public class Notify {
    private Integer id;
    /**
     * uid
     */
    private Integer uid;
    /**
     * 标题
     */
    private String title;
    /**
     * 概要
     */
    private String summary;
    /**
     * 内容
     */
    private String content;
    /**
     * 1系统消息，2公告消息
     */
    private Integer type;
    /**
     * 状态1有效2无效
     */
    private Integer state;
    private Date createTime;
    private Date updateTime;
    /**
     * 0未删除，1已删除
     */
    private Integer delete;
}
