package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.AdminRole;
import com.fzm.common.mapper.AdminRoleMapper;
import com.fzm.common.service.AdminRoleService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wt
 * @date 2022/3/11
 */
@Service
public class AdminRoleServiceImpl extends ServiceImpl<AdminRoleMapper, AdminRole> implements AdminRoleService {
    @Override
    @Cacheable(value = "adminRole", key = "'list'")
    public List<AdminRole> listAll() {
        return list();
    }
}
